%define upstream_name    Expect
%define upstream_version 1.35

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Expect for Perl
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Expect/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     %{name}-paths.patch

BuildRequires: perl(Carp)
BuildRequires: perl(Errno)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Pty) >= 1.110.0
BuildRequires: perl(IO::Tty) >= 1.110.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More) >= 1.0.0
BuildArch:  noarch

%description
The Expect module is a successor of Comm.pl and a descendent of Chat.pl. It
more closely ressembles the Tcl Expect language than its predecessors. It does
not contain any of the networking code found in Comm.pl. I suspect this would
be obsolete anyway given the advent of IO::Socket and external tools such as
netcat.

Expect.pm is an attempt to have more of a switch() & case feeling to make
decision processing more fluid. Three separate types of debugging have been
implemented to make code production easier.

It is now possible to interconnect multiple file handles (and processes) much
like Tcl's Expect. An attempt was made to enable all the features of Tcl's
Expect without forcing Tcl on the victim programmer :-) .

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%patch0 -p1
perl -pi -e 's|/usr/local/bin/perl|%{__perl}|' examples/kibitz/kibitz

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/*.pm
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.350.0-5.mga8
+ Revision: 1504407
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.350.0-4.mga7
+ Revision: 1283635
- Mageia 7 Mass Rebuild

* Thu Jul 05 2018 tv <tv> 1.350.0-3.mga7
+ Revision: 1241741
- add more BRs, especially for testsuite

* Mon Oct 02 2017 tv <tv> 1.350.0-2.mga7
+ Revision: 1164306
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 1.350.0-1.mga7
+ Revision: 1154258
- new release

* Sun Jun 19 2016 pterjan <pterjan> 1.320.0-3.mga6
+ Revision: 1027059
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.320.0-2.mga6
+ Revision: 966862
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.320.0-1.mga6
+ Revision: 846988
- update to 1.32

* Wed Oct 15 2014 umeabot <umeabot> 1.310.0-3.mga5
+ Revision: 744290
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.310.0-2.mga5
+ Revision: 684664
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 sander85 <sander85> 1.310.0-1.mga5
+ Revision: 671391
- update to 1.31

* Fri Oct 18 2013 umeabot <umeabot> 1.210.0-5.mga4
+ Revision: 511399
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.210.0-4.mga3
+ Revision: 366999
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.210.0-3.mga1
+ Revision: 32748
- rebuild
- mageia rebuild

* Thu Jan 20 2011 erwan <erwan> 1.210.0-2.mga1
+ Revision: 27553
- Removing useless macro
+ jquelin <jquelin>
- imported package perl-Expect


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.210.0-2mdv2011.0
+ Revision: 555304
- rebuild

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.210.0-1mdv2010.1
+ Revision: 403162
- rebuild using %%perl_convert_version

* Sun Mar 22 2009 Funda Wang <fwang@mandriva.org> 1.21-3mdv2009.1
+ Revision: 360219
- fix patch num

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.21-3mdv2009.0
+ Revision: 223693
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.21-2mdv2008.1
+ Revision: 180395
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-1mdv2008.0
+ Revision: 63955
- update to new version 1.21


* Wed Aug 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2007.0
- New version 1.20

* Sun Jul 16 2006 Emmanuel Andry <eandry@mandriva.org> 1.18-1mdv2007.0
- New release 1.18

* Tue Jun 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.17-1mdv2007.0
- New release 1.17

* Mon May 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-1mdv2007.0
- New release 1.16
- better summary & description
- spec cleanup

* Thu Feb 03 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.15-7mdk
- rebuild

* Wed Aug 13 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.15-6mdk
- rebuild for new perl
- rm -rf /home/guillomovitch/rpm/tmp/perl-Expect-1.20 in %%install, not %%prep
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

